<?php

register_fusion_update_dashlet();

function register_fusion_update_dashlet() {

    $dashlet_opts = array(
        DASHLET_NAME        => 'fusion_update',
        DASHLET_TYPE        => DASHLET_TYPE_CORE,
        DASHLET_SERVER_TYPE => SERVER_TYPE_FUSION,
        DASHLET_VERSION     => '1.0.0',
        DASHLET_DATE        => '01/09/2017',
        DASHLET_AUTHOR      => 'Nagios Enterprises',
        DASHLET_DESCRIPTION => _('A dashlet that shows when there are updates to your Nagios Fusion installation.'),
        DASHLET_COPYRIGHT   => '&copy; 2018 Nagios Enterprises, LLC',
        DASHLET_HOMEPAGE    => 'www.nagios.com',
        DASHLET_LICENSE     => _('Nagios Software License'),
        DASHLET_PREVIEW     => get_dashlets_base_url() . 'fusion_update/fusion_update.png',
        DASHLET_LOAD_URL    => get_dashlets_base_url() . 'fusion_update/fusion_update.php',
        DASHLET_TITLE       => _('Available Updates'),
        DASHLET_WIDTH       => 250,
    );

    register_dashlet($dashlet_opts);
}
